> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 유사 회사 검색

> **더 이상 사용되지 않음.** 대신 `POST /companies/search/similar` 를 사용하세요 — 데이터와 본문 모두 동일합니다.

기업 특성 및 기술 속성을 기반으로 지정된 대상 기업과 유사한 기업을 검색합니다.



## OpenAPI

````yaml ko-openapi POST /companies/lookalikes/search
openapi: 3.0.0
info:
  description: >-
    Pubrio API는 마켓 확장 인텔리전스를 제공합니다——기업의 신규 시장 진입을 포착하는 실시간 시그널과 그 기반이 되는 기업·인물
    데이터. 계정과 연락처를 검색·조회·보강하고, 200+ 시장에 걸친 유형·날짜가 있는 움직임 시그널을 구독하세요.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ko/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ko/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: 워크스페이스 프로필 정보 및 사용량 통계
  - name: Enrichment
    description: 상세한 B2B 데이터로 인물 및 기업 레코드를 보강
  - name: Lookalike
    description: 지정된 기업과 유사한 기업 검색
  - name: Search
    description: 필터를 사용하여 인물, 기업, 채용, 뉴스 및 광고 검색
  - name: Lookup
    description: 특정 인물, 기업, 채용, 뉴스, 광고 및 기술의 상세 정보 조회
  - name: LinkedIn
    description: LinkedIn 프로필 URL을 통한 인물 및 기업 데이터 조회
  - name: Redeem
    description: 크레딧을 사용하여 인물 연락처 정보 잠금 해제 (단건 및 배치)
  - name: Channels
    description: 아웃리치 채널 템플릿 관리 (생성, 수정, 삭제, 목록)
  - name: Monitor
    description: 웹훅, 통계 및 처리를 포함한 데이터 모니터 생성 및 관리
  - name: Filters
    description: 검색 매개변수에 사용 가능한 필터 값 조회 (기술, 지역, 버티컬 등)
  - name: API Keys
    description: API 키의 요청 로그 및 사용량 분석 조회
  - name: Insights
    description: 회사의 신호 집계 인사이트(채용, 뉴스, 광고).
  - name: Export
    description: 대량 데이터 내보내기(크레딧 차감).
  - name: Expansion
    description: '회사 시장 확장 인텔리전스: 신호, 단계, 시장, 내보내기.'
externalDocs:
  description: >-
    Pubrio API는 연락처와 계정 정보를 검색, 미리보기, 그리고 보강하는 데 사용됩니다. Pubrio 데이터베이스는 풍부한 B2B
    연락처 및 영업 인텔리전스 데이터를 제공합니다.
  url: https://docs.pubrio.com
paths:
  /companies/lookalikes/search:
    post:
      tags:
        - Lookalike
      summary: 유사 기업 검색
      description: >-
        **더 이상 사용되지 않음.** 대신 `POST /companies/search/similar` 를 사용하세요 — 데이터와 본문
        모두 동일합니다.


        기업 특성 및 기술 속성을 기반으로 지정된 대상 기업과 유사한 기업을 검색합니다.
      operationId: companies_search_lookalikes
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                locations:
                  $ref: '#/components/schemas/locations'
                exclude_locations:
                  $ref: '#/components/schemas/exclude_locations'
                technologies:
                  $ref: '#/components/schemas/technologies'
                categories:
                  $ref: '#/components/schemas/categories'
                verticals:
                  $ref: '#/components/schemas/verticals'
                vertical_categories:
                  $ref: '#/components/schemas/vertical_categories'
                vertical_sub_categories:
                  $ref: '#/components/schemas/vertical_sub_categories'
                domain_search_id:
                  $ref: '#/components/schemas/domain_search_id'
                domain:
                  $ref: '#/components/schemas/domain'
                linkedin_url:
                  $ref: '#/components/schemas/company_linkedin_url'
                employees:
                  $ref: '#/components/schemas/employees'
                founded_dates:
                  $ref: '#/components/schemas/founded_dates'
                revenues:
                  $ref: '#/components/schemas/revenues'
                job_locations:
                  $ref: '#/components/schemas/locations'
                job_posted_dates:
                  $ref: '#/components/schemas/posted_dates'
                job_titles:
                  $ref: '#/components/schemas/people_titles'
                news_categories:
                  $ref: '#/components/schemas/news_categories'
                news_published_dates:
                  $ref: '#/components/schemas/published_dates'
                is_enable_similarity_search:
                  $ref: '#/components/schemas/is_enable_similarity_search'
                similarity_score:
                  $ref: '#/components/schemas/similarity_score'
                per_page:
                  $ref: '#/components/schemas/per_page'
                page:
                  $ref: '#/components/schemas/page'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              anyOf:
                - title: Domain Search ID
                  required:
                    - domain_search_id
                - title: 도메인
                  required:
                    - domain
                - title: LinkedIn URL
                  required:
                    - linkedin_url
      responses:
        '200':
          description: 관련 세부 정보가 포함된 성공적인 응답입니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/data'
              example:
                data:
                  pagination:
                    page: 1
                    per_page: 25
                    total_entries: 45234700
                    total_pages: 1809388
                  companies:
                    - logo_url: >-
                        https://buckets.pubrio.com/company-logo/MjI0NDc1OTMxaWxqOXNzbmoxdHdpdHRlci5jb20=.jpg
                      company_name: Twitter
                      emails:
                        - ...
                      phones:
                        - ...
                      contacts:
                        - ...
                      founded_year: 2006
                      specialties:
                        - Software Development
                      industry: Software Development
                      domain: twitter.com
                      domain_search_id: 61a73da7-2efc-41a5-a252-a8a8df29925a
                      domain_id: 224475931
                      linkedin_company_id: 44005587
                      linkedin_name: twitter
                      is_company_url_active: true
                      domain_ids:
                        - 224475931
                        - 1758889566
                        - 368242865
                      company_keywords:
                        - realtime information
                        - social commerce
                        - online shopping
                        - classifieds
                        - craigslist killers
                        - e-commerce
                        - killers
                        - consumer internet
                        - internet
                        - information technology
                        - edp services
                        - technology
                        - software development
                        - microblogging
                        - social networking
                        - public conversation
                        - user engagement
                        - content sharing
                        - advertising solutions
                        - monetization
                        - community building
                        - digital wallet
                        - ai integration
                        - user safety
                      company_size: 1500
                      youtube_url: null
                      crunchbase_url: null
                      linkedin_url: http://www.linkedin.com/company/twitter
                      instagram_url: null
                      facebook_url: http://facebook.com/twitterinc
                      twitter_url: https://twitter.com/x
                      github_url: null
                      x_url: null
                      location: United States
                      company_ranking: null
                      company_url: http://twitter.com
                      saved_lists: null
                      company_size_printed: 1,500
                    - ...
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
      deprecated: true
components:
  schemas:
    locations:
      type: array
      items:
        type: string
      example:
        - US
        - SG
        - CN
      description: >-
        ISO 3166-1 alpha-2(cca2) 코드로 지역을 필터링하는 데 사용됩니다. 자세한 내용은 필터 탭의 `location`
        엔드포인트를 참조하세요.
    exclude_locations:
      type: array
      items:
        type: string
      example:
        - CN
        - US
        - RU
        - CA
      description: >-
        반환하지 않을 지역을 ISO 3166-1 alpha-2(cca2) 코드로 지정합니다. 자세한 내용은 필터 탭의 `location`
        엔드포인트를 참조하세요.
    technologies:
      type: array
      items:
        type: integer
      description: >-
        `tag_id` 목록으로, 특정 기술을 사용하는 회사를 검색하는 데 사용됩니다. ID를 얻으려면 필터 탭의 `technology`
        엔드포인트를 호출하세요.


        이 필터는 `is_enable_similarity_search`를 지원하며, 활성화 시 `["Shopify"]`와 같은 자유
        텍스트 입력이 가능합니다.
    categories:
      type: array
      items:
        type: integer
      description: >-
        `category_id` 목록으로, 특정 기술 카테고리를 사용하는 회사를 검색합니다. ID를 얻으려면 필터 탭의
        `category` 엔드포인트를 호출하세요.


        이 필터는 `is_enable_similarity_search`를 지원하며, 활성화 시 `["CDN"]`처럼 자유 텍스트를 입력할
        수 있습니다.
    verticals:
      type: array
      items:
        type: integer
      description: >-
        `vertical_id` 목록으로, 특정 산업 또는 분야의 회사를 검색합니다. ID를 얻으려면 필터 탭의 `vertical`
        엔드포인트를 호출하세요.


        이 필터는 `is_enable_similarity_search`를 지원하며, `["AI"]`와 같은 자유 텍스트 검색이
        가능합니다.
    vertical_categories:
      type: array
      items:
        type: integer
      description: >-
        `vertical_category_id` 목록으로, 특정 산업 카테고리에 속한 회사를 검색합니다. ID를 얻으려면 필터 탭의
        `vertical category` 엔드포인트를 호출하세요.


        이 필터는 `is_enable_similarity_search`를 지원하며 `["Information Technology"]`와
        같은 텍스트 입력이 가능합니다.
    vertical_sub_categories:
      type: array
      items:
        type: integer
      description: >-
        `vertical_sub_category_id` 목록으로, 특정 산업 하위 카테고리에 속한 회사를 검색합니다. ID를 얻으려면
        필터 탭의 `vertical sub category` 엔드포인트를 호출하세요.


        이 필터는 `is_enable_similarity_search`를 지원하며 `["Software"]`와 같은 자유 텍스트 검색이
        가능합니다.
    domain_search_id:
      type: string
      format: uuid
      description: 회사 조회 작업의 고유 식별자.
    domain:
      type: string
      example: pubrio.com
      description: >-
        회사 조회 작업에 사용되는 회사 도메인입니다. 입력된 주소가 `www.pubrio.com` 또는
        `https://docs.pubrio.com/`인 경우, 시스템은 이를 자동으로 `pubrio.com`으로 변환하여 처리합니다.
    company_linkedin_url:
      type: string
      example: https://www.linkedin.com/company/pubrio
      description: >-
        LinkedIn 회사 페이지의 전체 URL입니다. `http`로 시작하며 `linkedin.com/company/`를 포함해야
        합니다.
    employees:
      type: array
      items:
        type: array
        items:
          type: string
      example:
        - - 1
          - 10
        - - 11
          - 20
        - - 10001
      description: >-
        회사 직원 수 범위입니다. 총 직원 수를 기준으로 회사를 필터링할 수 있으며, 여러 범위를 추가해 검색 결과를 확장할 수
        있습니다.


        자세한 내용은 필터 탭의 `company size` 엔드포인트를 참조하세요.
    founded_dates:
      type: array
      items:
        type: integer
      example:
        - 2018
        - 2024
      description: 회사의 설립 연도 범위입니다. 최대값은 현재 연도입니다.
    revenues:
      type: array
      items:
        type: integer
      example:
        - 0
        - 100000
      description: 회사의 최소 및 최대 수익 범위입니다.
    posted_dates:
      type: array
      items:
        type: string
      example:
        - '2025-01-01'
        - '2025-01-10'
      description: 게시 날짜 범위입니다. 최대값은 오늘 날짜입니다.
    people_titles:
      type: array
      items:
        type: string
      example:
        - sales manager
        - marketing manager
      description: >-
        검색 대상 인물의 직함입니다.


        `software engineer`를 검색하면 `senior software engineer`와 같이 유사한 용어를 포함한 결과도
        반환될 수 있습니다.
    news_categories:
      type: array
      items:
        type: string
      example:
        - launches
      description: >-
        `category slugs` 목록으로, 특정 뉴스 카테고리를 검색합니다. slug를 얻으려면 필터 탭의 `news
        categories` 엔드포인트를 호출하세요.
    published_dates:
      type: array
      items:
        type: string
      example:
        - '2025-01-01'
        - '2025-01-10'
      description: 발행 날짜 범위입니다. 최대값은 오늘 날짜입니다.
    is_enable_similarity_search:
      type: boolean
      description: 활성화 시, 유사도 검색을 지원하는 필터에서 자유 텍스트로 특정 ID를 조회할 수 있습니다.
    similarity_score:
      type: number
      format: float
      example: 0.7
      description: >-
        `is_enable_similarity_search`와 함께 사용됩니다. 이 값은 특정 slug(예: 산업, 기술)와 사용자 입력
        간의 유사도를 분석하며, 값이 높을수록 일치율이 더 정확합니다.
    per_page:
      type: integer
      example: 25
      description: 페이지당 반환할 검색 결과 수입니다. 결과 수를 제한하면 API 성능이 향상됩니다.
    page:
      type: integer
      example: 1
      description: 조회할 데이터 페이지 번호입니다.
    profile_id:
      type: integer
      description: >-
        선택 사항. 요청을 수행하는 팀 식별자입니다. API 키에 이미 워크스페이스 정보가 포함되어 있으므로 이 매개변수는 더 이상
        필수가 아닙니다. 제공되면 조회 및 사용 크레딧 추적을 위해 특정 팀(작업 공간)과 연계됩니다.


        자세한 내용은 팀 탭의 `user details` 엔드포인트를 참고하세요.
    data:
      type: object
      nullable: true
      description: 응답 정보는 특정 API에 따라 다릅니다.
  responses:
    general_error:
      description: 잘못된 요청. 요청 형식이 올바르지 않거나 잘못된 매개변수가 포함되어 있습니다. 오류 코드와 메시지를 확인하세요.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: 오류 코드 및 메시지는 상황에 따라 다를 수 있습니다. 자세한 내용은 문서를 참조하세요.
                type: string
              details:
                type: object
    rate_limit_error:
      description: 요청 속도 제한 초과. 주어진 시간 내에 너무 많은 요청이 전송되었습니다. 속도 제한 창이 재설정된 후 다시 시도하세요.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 요청 빈도가 제한을 초과했습니다. 잠시 후 다시 시도해주세요.
                type: string
    server_error:
      description: 내부 서버 오류. 서버에서 예기치 않은 오류가 발생했습니다. 오류가 지속되면 지원팀에 문의하세요.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 요청을 처리하는 중 서버에서 예기치 않은 오류가 발생했습니다
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API에서 수행하는 작업 및 해당 권한을 식별하는 고유한 API 토큰입니다. 이 토큰은
        [설정](https://dashboard.pubrio.com/#/settings/) 섹션에서 생성할 수 있습니다.
      in: header

````